<?php

$page_title = 'Beethoven2000 - Start';
$additional_headers = array(
	'<meta name="description" content="Abiturjahrgang 2000 der Beethoven-Oberschule Berlin-Lankwitz" />',
	'<meta name="keywords" content="Beethoven-Oberschule, Gymnasium, Abitur, 2000, Beethoven, Lankwitz, Abi, Jahrgang" />'
);

include('includes/header.inc');


/* ___SHOUTBOX___________________________________________ */

if ((include 'includes/shoutbox.inc') && $shoutbox = new Shoutbox('database/shoutbox.txt')) {


	/* __eintragen__ */

	// wenn die Felder ausgefüllt wurden
	if (!empty($_POST['message']) && !empty($_POST['sender'])) {
		$shoutbox->add_entry($_POST['sender'], $_POST['message']);
	}


	/* __auslesen__ */

	$shoutbox->read_file();

	if (!$shoutbox->error) {
		echo '<fieldset id="floating-box">' . "\n";
		echo "<legend>Gruß-Box</legend>\n";
		echo '<div id="shoutbox">' . "\n";

		if ($shoutbox->spam) {
			echo '<div class="message sender server-error-message">SPAM-Verdacht!</div>' . "\n";
		}

		while (list($date, $name, $message) = $shoutbox->get_next_entry()) {
			echo '<div class="sender">' . $name . ', ' . $date . '</div>' . "\n";
			echo '<div class="message">' . $message . '</div>' . "\n";
		}
?>

<?php /*
<script type="text/javascript">
// <![CDATA[
	function limitMessageText (element, maxLength) {
		if (element.value.length > maxLength) {
			element.value = element.value.substring(0, maxLength);
			alert('Dein Text ist zu lang!');
			return false;
		}
	}
// ]]>
</script>

<form action="" method="post" onsubmit="return limitMessageText(getElementById('message'), 220);">
	<div><a name="enter"><label>Name:</label></a> <input id="name" name="sender" alt="Name" maxlength="25" /></div>
	<div><label>Nachricht:</label><br /><textarea id="message" name="message" cols="20" rows="6" onkeydown="return limitMessageText(this, 220);"></textarea></div>
	<div><input id="submit" type="submit" value="senden" /></div>
</form>
</div>
<div id="enter-link"><a onclick="document.getElementById('submit').focus(); document.getElementById('name').focus(); return false;" href="#enter">auch was eintragen</a></div>
*/ ?>

</div>
<div id="enter-link">Wegen SPAM geschlossen.</div>
</fieldset>

<?php

	} // if !shoutbox-error
} // if include shoutbox

/* ___ENDE SHOUTBOX______________________________________ */

?>

<div id="content">

<h1>
Willkommen!
</h1>

<p>
Dies ist der Webauftritt des Abiturjahrgangs 2000 der Beethoven-Oberschule, einem Gymnasium in Berlin. Neben dem Angebot an den Jahrgang selbst, möchten wir allen die Möglichkeit geben, uns zu erreichen und anzusprechen, zeigen, dass es uns gibt und etwas von unserer Erfahrung weitergeben.
</p>

<p>
Auf der <a href="http://www.beethoven-oberschule.de/">Seite unserer Schule</a> finden sich einige Interessante Sachen, z.B. die Ehemaligen-Datenbank.
</p>

<p>
Wir freuen uns auch über jede <a href="kontakt.php">Rückmeldung</a>. Viel Spaß auf unserer Seite!
</p>

</div>

<?php
include('includes/footer.inc');
?>
